diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.39/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.38/src/lte/model/lte-ffr-distributed-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-distributed-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FFR_DISTRIBUTED_ALGORITHM_H
 #define LTE_FFR_DISTRIBUTED_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 namespace ns3
 {
@@ -69,9 +69,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-enhanced-algorithm.cc ns-3.39/src/lte/model/lte-ffr-enhanced-algorithm.cc
--- ns-3.38/src/lte/model/lte-ffr-enhanced-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-enhanced-algorithm.cc	2023-07-05 14:23:48.013428000 -0700
@@ -20,10 +20,10 @@
 
 #include "lte-ffr-enhanced-algorithm.h"
 
+#include "ff-mac-common.h"
+#include "lte-common.h"
+
 #include "ns3/boolean.h"
-#include "ns3/ff-mac-common.h"
-#include "ns3/lte-common.h"
-#include "ns3/lte-vendor-specific-parameters.h"
 #include <ns3/double.h>
 #include <ns3/log.h>
 
@@ -486,7 +486,7 @@
         for (uint32_t i = 0; i < rbgMap.size(); i++)
         {
             NS_LOG_INFO("\t rbgId: " << i << " available " << (int)rbgAvailableMap.at(i));
-            if (rbgAvailableMap.at(i) == true)
+            if (rbgAvailableMap.at(i))
             {
                 rbgMap.at(i) = false;
             }
@@ -546,7 +546,7 @@
         {
             NS_LOG_INFO("RNTI: " << rnti << "  rbgId: " << rbgId
                                  << "  available: " << it->second.at(rbgId));
-            if (it->second.at(rbgId) == true)
+            if (it->second.at(rbgId))
             {
                 return true;
             }
@@ -582,7 +582,7 @@
         for (uint32_t i = 0; i < rbgMap.size(); i++)
         {
             NS_LOG_INFO("\t rbgId: " << i << " available " << (int)rbAvailableMap.at(i));
-            if (rbAvailableMap.at(i) == true)
+            if (rbAvailableMap.at(i))
             {
                 rbgMap.at(i) = false;
             }
@@ -646,7 +646,7 @@
         {
             NS_LOG_INFO("RNTI: " << rnti << "  rbgId: " << rbgId
                                  << "  available: " << it->second.at(rbgId));
-            if (it->second.at(rbgId) == true)
+            if (it->second.at(rbgId))
             {
                 return true;
             }
@@ -659,7 +659,7 @@
 
 void
 LteFfrEnhancedAlgorithm::DoReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
 
@@ -732,7 +732,7 @@
                 isSecondarySegmentRbg = m_dlSecondarySegmentRbgMap[i];
             }
 
-            rbgAvailable = (isSecondarySegmentRbg == true) ? rbgAvailable : false;
+            rbgAvailable = (isSecondarySegmentRbg ? rbgAvailable : false);
 
             rbgAvailableMap.push_back(rbgAvailable);
         }
@@ -766,7 +766,7 @@
 
 void
 LteFfrEnhancedAlgorithm::DoReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     if (params.m_ulCqi.m_type == UlCqi_s::SRS)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-enhanced-algorithm.h ns-3.39/src/lte/model/lte-ffr-enhanced-algorithm.h
--- ns-3.38/src/lte/model/lte-ffr-enhanced-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-enhanced-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FFR_ENHANCED_ALGORITHM_H
 #define LTE_FFR_ENHANCED_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 #include <map>
 
@@ -78,9 +78,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-rrc-sap.h ns-3.39/src/lte/model/lte-ffr-rrc-sap.h
--- ns-3.38/src/lte/model/lte-ffr-rrc-sap.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-rrc-sap.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,8 +21,8 @@
 #ifndef LTE_FFR_RRC_SAP_H
 #define LTE_FFR_RRC_SAP_H
 
-#include <ns3/epc-x2-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "epc-x2-sap.h"
+#include "lte-rrc-sap.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-sap.h ns-3.39/src/lte/model/lte-ffr-sap.h
--- ns-3.38/src/lte/model/lte-ffr-sap.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-sap.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,8 +21,7 @@
 #ifndef LTE_FFR_SAP_H
 #define LTE_FFR_SAP_H
 
-#include <ns3/ff-mac-sched-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "ff-mac-sched-sap.h"
 
 #include <map>
 
@@ -101,14 +100,14 @@
      * \param params the struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters
      */
     virtual void ReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) = 0;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) = 0;
 
     /**
      * \brief ReportUlCqiInfo
      * \param params the struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
      */
     virtual void ReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) = 0;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) = 0;
 
     /**
      * \brief ReportUlCqiInfo
@@ -168,10 +167,8 @@
     bool IsDlRbgAvailableForUe(int i, uint16_t rnti) override;
     std::vector<bool> GetAvailableUlRbg() override;
     bool IsUlRbgAvailableForUe(int i, uint16_t rnti) override;
-    void ReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
-    void ReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+    void ReportDlCqiInfo(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+    void ReportUlCqiInfo(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void ReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t GetTpc(uint16_t rnti) override;
     uint16_t GetMinContinuousUlBandwidth() override;
@@ -218,7 +215,7 @@
 template <class C>
 void
 MemberLteFfrSapProvider<C>::ReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     m_owner->DoReportDlCqiInfo(params);
 }
@@ -226,7 +223,7 @@
 template <class C>
 void
 MemberLteFfrSapProvider<C>::ReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     m_owner->DoReportUlCqiInfo(params);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-soft-algorithm.cc ns-3.39/src/lte/model/lte-ffr-soft-algorithm.cc
--- ns-3.38/src/lte/model/lte-ffr-soft-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-soft-algorithm.cc	2023-07-05 14:23:48.013428000 -0700
@@ -521,7 +521,7 @@
 
 void
 LteFfrSoftAlgorithm::DoReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
@@ -529,7 +529,7 @@
 
 void
 LteFfrSoftAlgorithm::DoReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
@@ -601,7 +601,7 @@
 
     for (std::size_t i = 0; i < m_ulCenterRbgMap.size(); i++)
     {
-        if (m_ulCenterRbgMap[i] == true)
+        if (m_ulCenterRbgMap[i])
         {
             centerSubBandwidth++;
         }
@@ -609,7 +609,7 @@
 
     for (std::size_t i = 0; i < m_ulMediumRbgMap.size(); i++)
     {
-        if (m_ulMediumRbgMap[i] == true)
+        if (m_ulMediumRbgMap[i])
         {
             mediumSubBandwidth++;
         }
@@ -617,7 +617,7 @@
 
     for (std::size_t i = 0; i < m_ulEdgeRbgMap.size(); i++)
     {
-        if (m_ulEdgeRbgMap[i] == true)
+        if (m_ulEdgeRbgMap[i])
         {
             edgeSubBandwidth++;
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-ffr-soft-algorithm.h ns-3.39/src/lte/model/lte-ffr-soft-algorithm.h
--- ns-3.38/src/lte/model/lte-ffr-soft-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-ffr-soft-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FFR_SOFT_ALGORITHM_H
 #define LTE_FFR_SOFT_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 #include <map>
 
@@ -75,9 +75,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-hard-algorithm.cc ns-3.39/src/lte/model/lte-fr-hard-algorithm.cc
--- ns-3.38/src/lte/model/lte-fr-hard-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-hard-algorithm.cc	2023-07-05 14:23:48.013428000 -0700
@@ -335,7 +335,7 @@
 
 void
 LteFrHardAlgorithm::DoReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
@@ -343,7 +343,7 @@
 
 void
 LteFrHardAlgorithm::DoReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-hard-algorithm.h ns-3.39/src/lte/model/lte-fr-hard-algorithm.h
--- ns-3.38/src/lte/model/lte-fr-hard-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-hard-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FR_HARD_ALGORITHM_H
 #define LTE_FR_HARD_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 namespace ns3
 {
@@ -73,9 +73,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-no-op-algorithm.cc ns-3.39/src/lte/model/lte-fr-no-op-algorithm.cc
--- ns-3.38/src/lte/model/lte-fr-no-op-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-no-op-algorithm.cc	2023-07-05 14:23:48.013428000 -0700
@@ -137,7 +137,7 @@
 
 void
 LteFrNoOpAlgorithm::DoReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
@@ -145,7 +145,7 @@
 
 void
 LteFrNoOpAlgorithm::DoReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-no-op-algorithm.h ns-3.39/src/lte/model/lte-fr-no-op-algorithm.h
--- ns-3.38/src/lte/model/lte-fr-no-op-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-no-op-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FR_NO_OP_ALGORITHM_H
 #define LTE_FR_NO_OP_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 namespace ns3
 {
@@ -79,9 +79,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-soft-algorithm.cc ns-3.39/src/lte/model/lte-fr-soft-algorithm.cc
--- ns-3.38/src/lte/model/lte-fr-soft-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-soft-algorithm.cc	2023-07-05 14:23:48.013428000 -0700
@@ -428,7 +428,7 @@
 
 void
 LteFrSoftAlgorithm::DoReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
@@ -436,7 +436,7 @@
 
 void
 LteFrSoftAlgorithm::DoReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-soft-algorithm.h ns-3.39/src/lte/model/lte-fr-soft-algorithm.h
--- ns-3.38/src/lte/model/lte-fr-soft-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-soft-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FR_SOFT_ALGORITHM_H
 #define LTE_FR_SOFT_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 #include <map>
 
@@ -75,9 +75,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-strict-algorithm.cc ns-3.39/src/lte/model/lte-fr-strict-algorithm.cc
--- ns-3.38/src/lte/model/lte-fr-strict-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-strict-algorithm.cc	2023-07-05 14:23:48.013428000 -0700
@@ -456,7 +456,7 @@
 
 void
 LteFrStrictAlgorithm::DoReportDlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
@@ -464,7 +464,7 @@
 
 void
 LteFrStrictAlgorithm::DoReportUlCqiInfo(
-    const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
+    const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params)
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_WARN("Method should not be called, because it is empty");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-fr-strict-algorithm.h ns-3.39/src/lte/model/lte-fr-strict-algorithm.h
--- ns-3.38/src/lte/model/lte-fr-strict-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-fr-strict-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,10 +21,10 @@
 #ifndef LTE_FR_STRICT_ALGORITHM_H
 #define LTE_FR_STRICT_ALGORITHM_H
 
-#include <ns3/lte-ffr-algorithm.h>
-#include <ns3/lte-ffr-rrc-sap.h>
-#include <ns3/lte-ffr-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-ffr-algorithm.h"
+#include "lte-ffr-rrc-sap.h"
+#include "lte-ffr-sap.h"
+#include "lte-rrc-sap.h"
 
 #include <map>
 
@@ -75,9 +75,9 @@
     std::vector<bool> DoGetAvailableUlRbg() override;
     bool DoIsUlRbgAvailableForUe(int i, uint16_t rnti) override;
     void DoReportDlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(
-        const struct FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
+        const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) override;
     void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) override;
     uint8_t DoGetTpc(uint16_t rnti) override;
     uint16_t DoGetMinContinuousUlBandwidth() override;
@@ -141,7 +141,7 @@
     };
 
     std::map<uint16_t, uint8_t> m_ues; ///< UEs
-    std::vector<uint16_t> m_egdeUes;   ///< Edge UEs
+    std::vector<uint16_t> m_edgeUes;   ///< Edge UEs
 
     uint8_t m_edgeSubBandThreshold; ///< Edge subband threshold
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-handover-algorithm.h ns-3.39/src/lte/model/lte-handover-algorithm.h
--- ns-3.38/src/lte/model/lte-handover-algorithm.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-handover-algorithm.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,7 +21,8 @@
 #ifndef LTE_HANDOVER_ALGORITHM_H
 #define LTE_HANDOVER_ALGORITHM_H
 
-#include <ns3/lte-rrc-sap.h>
+#include "lte-rrc-sap.h"
+
 #include <ns3/object.h>
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-handover-management-sap.h ns-3.39/src/lte/model/lte-handover-management-sap.h
--- ns-3.38/src/lte/model/lte-handover-management-sap.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-handover-management-sap.h	2023-07-05 14:23:48.013428000 -0700
@@ -21,7 +21,7 @@
 #ifndef LTE_HANDOVER_MANAGEMENT_SAP_H
 #define LTE_HANDOVER_MANAGEMENT_SAP_H
 
-#include <ns3/lte-rrc-sap.h>
+#include "lte-rrc-sap.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-harq-phy.cc ns-3.39/src/lte/model/lte-harq-phy.cc
--- ns-3.38/src/lte/model/lte-harq-phy.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-harq-phy.cc	2023-07-05 14:23:48.013428000 -0700
@@ -17,9 +17,10 @@
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  */
 
+#include "lte-harq-phy.h"
+
 #include <ns3/assert.h>
 #include <ns3/log.h>
-#include <ns3/lte-harq-phy.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-interference.cc ns-3.39/src/lte/model/lte-interference.cc
--- ns-3.38/src/lte/model/lte-interference.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-interference.cc	2023-07-05 14:23:48.013428000 -0700
@@ -66,7 +66,7 @@
 LteInterference::StartRx(Ptr<const SpectrumValue> rxPsd)
 {
     NS_LOG_FUNCTION(this << *rxPsd);
-    if (m_receiving == false)
+    if (!m_receiving)
     {
         NS_LOG_LOGIC("first signal");
         m_rxSignal = rxPsd->Copy();
@@ -109,7 +109,7 @@
 LteInterference::EndRx()
 {
     NS_LOG_FUNCTION(this);
-    if (m_receiving != true)
+    if (!m_receiving)
     {
         NS_LOG_INFO("EndRx was already evaluated or RX was aborted");
     }
@@ -235,7 +235,7 @@
     // reset m_allSignals (will reset if already set previously)
     // this is needed since this method can potentially change the SpectrumModel
     m_allSignals = Create<SpectrumValue>(noisePsd->GetSpectrumModel());
-    if (m_receiving == true)
+    if (m_receiving)
     {
         // abort rx
         m_receiving = false;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-mac-sap.cc ns-3.39/src/lte/model/lte-mac-sap.cc
--- ns-3.38/src/lte/model/lte-mac-sap.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-mac-sap.cc	2023-07-05 14:23:48.013428000 -0700
@@ -17,7 +17,7 @@
  * Author: Nicola Baldo  <nbaldo@cttc.es>
  */
 
-#include "ns3/lte-mac-sap.h"
+#include "lte-mac-sap.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-mi-error-model.cc ns-3.39/src/lte/model/lte-mi-error-model.cc
--- ns-3.38/src/lte/model/lte-mi-error-model.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-mi-error-model.cc	2023-07-05 14:23:48.013428000 -0700
@@ -28,15 +28,15 @@
  *      Marco Miozzo <marco.miozzo@cttc.es>
  */
 
-#include "stdlib.h"
+#include "lte-mi-error-model.h"
 
 #include <ns3/log.h>
-#include <ns3/lte-mi-error-model.h>
 #include <ns3/pointer.h>
 
 #include <cmath>
 #include <list>
 #include <stdint.h>
+#include <stdlib.h>
 #include <vector>
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-mi-error-model.h ns-3.39/src/lte/model/lte-mi-error-model.h
--- ns-3.38/src/lte/model/lte-mi-error-model.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-mi-error-model.h	2023-07-05 14:23:48.013428000 -0700
@@ -31,7 +31,8 @@
 #ifndef LTE_MI_ERROR_MODEL_H
 #define LTE_MI_ERROR_MODEL_H
 
-#include <ns3/lte-harq-phy.h>
+#include "lte-harq-phy.h"
+
 #include <ns3/ptr.h>
 #include <ns3/spectrum-value.h>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-net-device.cc ns-3.39/src/lte/model/lte-net-device.cc
--- ns-3.38/src/lte/model/lte-net-device.cc	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-net-device.cc	2023-07-05 14:23:48.013428000 -0700
@@ -20,9 +20,8 @@
 
 #include "lte-net-device.h"
 
-#include "lte-amc.h"
-
 #include "ns3/callback.h"
+#include "ns3/channel.h"
 #include "ns3/enum.h"
 #include "ns3/ipv4-header.h"
 #include "ns3/ipv6-header.h"
@@ -37,7 +36,6 @@
 #include <ns3/ipv4-l3-protocol.h>
 #include <ns3/ipv6-l3-protocol.h>
 #include <ns3/log.h>
-#include <ns3/lte-radio-bearer-tag.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-net-device.h ns-3.39/src/lte/model/lte-net-device.h
--- ns-3.38/src/lte/model/lte-net-device.h	2023-03-16 20:54:23.772869000 -0700
+++ ns-3.39/src/lte/model/lte-net-device.h	2023-07-05 14:23:48.013428000 -0700
@@ -22,8 +22,6 @@
 #define LTE_NET_DEVICE_H
 
 #include <ns3/event-id.h>
-#include <ns3/lte-control-messages.h>
-#include <ns3/lte-phy.h>
 #include <ns3/mac64-address.h>
 #include <ns3/net-device.h>
 #include <ns3/nstime.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-pdcp.cc ns-3.39/src/lte/model/lte-pdcp.cc
--- ns-3.38/src/lte/model/lte-pdcp.cc	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-pdcp.cc	2023-07-05 14:23:48.013428000 -0700
@@ -17,12 +17,13 @@
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
 
-#include "ns3/lte-pdcp.h"
+#include "lte-pdcp.h"
+
+#include "lte-pdcp-header.h"
+#include "lte-pdcp-sap.h"
+#include "lte-pdcp-tag.h"
 
 #include "ns3/log.h"
-#include "ns3/lte-pdcp-header.h"
-#include "ns3/lte-pdcp-sap.h"
-#include "ns3/lte-pdcp-tag.h"
 #include "ns3/simulator.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-pdcp.h ns-3.39/src/lte/model/lte-pdcp.h
--- ns-3.38/src/lte/model/lte-pdcp.h	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-pdcp.h	2023-07-05 14:23:48.013428000 -0700
@@ -20,8 +20,9 @@
 #ifndef LTE_PDCP_H
 #define LTE_PDCP_H
 
-#include "ns3/lte-pdcp-sap.h"
-#include "ns3/lte-rlc-sap.h"
+#include "lte-pdcp-sap.h"
+#include "lte-rlc-sap.h"
+
 #include "ns3/object.h"
 #include "ns3/trace-source-accessor.h"
 #include "ns3/traced-value.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-pdcp-header.cc ns-3.39/src/lte/model/lte-pdcp-header.cc
--- ns-3.38/src/lte/model/lte-pdcp-header.cc	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-pdcp-header.cc	2023-07-05 14:23:48.013428000 -0700
@@ -17,7 +17,7 @@
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
 
-#include "ns3/lte-pdcp-header.h"
+#include "lte-pdcp-header.h"
 
 #include "ns3/log.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-pdcp-sap.cc ns-3.39/src/lte/model/lte-pdcp-sap.cc
--- ns-3.38/src/lte/model/lte-pdcp-sap.cc	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-pdcp-sap.cc	2023-07-05 14:23:48.013428000 -0700
@@ -17,7 +17,7 @@
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
 
-#include "ns3/lte-pdcp-sap.h"
+#include "lte-pdcp-sap.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-phy.cc ns-3.39/src/lte/model/lte-phy.cc
--- ns-3.38/src/lte/model/lte-phy.cc	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-phy.cc	2023-07-05 14:23:48.013428000 -0700
@@ -20,6 +20,7 @@
 
 #include "lte-phy.h"
 
+#include "lte-control-messages.h"
 #include "lte-net-device.h"
 
 #include "ns3/spectrum-error-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-phy.h ns-3.39/src/lte/model/lte-phy.h
--- ns-3.38/src/lte/model/lte-phy.h	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-phy.h	2023-07-05 14:23:48.013428000 -0700
@@ -22,8 +22,9 @@
 #ifndef LTE_PHY_H
 #define LTE_PHY_H
 
+#include "lte-spectrum-phy.h"
+
 #include <ns3/generic-phy.h>
-#include <ns3/lte-spectrum-phy.h>
 #include <ns3/mobility-model.h>
 #include <ns3/nstime.h>
 #include <ns3/packet.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-radio-bearer-info.cc ns-3.39/src/lte/model/lte-radio-bearer-info.cc
--- ns-3.38/src/lte/model/lte-radio-bearer-info.cc	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-radio-bearer-info.cc	2023-07-05 14:23:48.013428000 -0700
@@ -21,7 +21,6 @@
 
 #include "lte-pdcp.h"
 #include "lte-rlc.h"
-#include "lte-ue-rrc.h"
 
 #include <ns3/log.h>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-radio-bearer-info.h ns-3.39/src/lte/model/lte-radio-bearer-info.h
--- ns-3.38/src/lte/model/lte-radio-bearer-info.h	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-radio-bearer-info.h	2023-07-05 14:23:48.013428000 -0700
@@ -20,9 +20,10 @@
 #ifndef LTE_RADIO_BEARER_INFO_H
 #define LTE_RADIO_BEARER_INFO_H
 
-#include <ns3/eps-bearer.h>
+#include "eps-bearer.h"
+#include "lte-rrc-sap.h"
+
 #include <ns3/ipv4-address.h>
-#include <ns3/lte-rrc-sap.h>
 #include <ns3/object.h>
 #include <ns3/pointer.h>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-rlc-am.cc ns-3.39/src/lte/model/lte-rlc-am.cc
--- ns-3.38/src/lte/model/lte-rlc-am.cc	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-rlc-am.cc	2023-07-05 14:23:48.013428000 -0700
@@ -18,12 +18,13 @@
  *         Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include "ns3/lte-rlc-am.h"
+#include "lte-rlc-am.h"
+
+#include "lte-rlc-am-header.h"
+#include "lte-rlc-sdu-status-tag.h"
+#include "lte-rlc-tag.h"
 
 #include "ns3/log.h"
-#include "ns3/lte-rlc-am-header.h"
-#include "ns3/lte-rlc-sdu-status-tag.h"
-#include "ns3/lte-rlc-tag.h"
 #include "ns3/simulator.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/lte-rlc-am.h ns-3.39/src/lte/model/lte-rlc-am.h
--- ns-3.38/src/lte/model/lte-rlc-am.h	2023-03-16 20:54:23.776869000 -0700
+++ ns-3.39/src/lte/model/lte-rlc-am.h	2023-07-05 14:23:48.013428000 -0700
@@ -20,9 +20,10 @@
 #ifndef LTE_RLC_AM_H
 #define LTE_RLC_AM_H
 
+#include "lte-rlc-sequence-number.h"
+#include "lte-rlc.h"
+
 #include <ns3/event-id.h>
-#include <ns3/lte-rlc-sequence-number.h>
-#include <ns3/lte-rlc.h>
 
 #include <map>
 #include <vector>
